Bug 201613 - www/calendarserver: postgresql 9.4 dependency
Summary: www/calendarserver: postgresql 9.4 dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-16 09:30 UTC by Pavol Otto
Modified: 2015-10-26 12:25 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (Axel.Rau)


Attachments
patch against revision 394414 (568 bytes, patch)
2015-10-26 12:17 UTC, Axel.Rau
Axel.Rau: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pavol Otto 2015-07-16 09:30:10 UTC
doesn't compile with postgresql 9.4 (that's been out for a while) even if its dependency database/py-PyGreSql is correctly installed against postgresql 9.4

also the error report is confusing

[root@vps: /usr/ports/www/calendarserver] # make
===>  py27-calendarserver-5.1_3 cannot install: the port wants postgresql-client version 9.0 9.1 9.2 9.3 9.4 and you have version 9.4 installed.
*** Error code 1

Stop.
make: stopped in /usr/ports/www/calendarserver
Comment 1 Axel.Rau 2015-07-19 17:00:16 UTC
This is an issue, related to Mk/Uses/pgsql.mk .
Could you try to set DEFAULT_VERSIONS= pgsql=9.4 in /etc/make.conf? This works for me.
Comment 2 Axel.Rau 2015-07-20 09:52:06 UTC
(In reply to Pavol Otto from comment #0)
AFAIK this is an issue, related to Mk/Uses/pgsql.mk .
Could you try to set DEFAULT_VERSIONS= pgsql=9.4 in /etc/make.conf?
This works for me.
Comment 3 Pavol Otto 2015-07-20 22:54:52 UTC
(In reply to Axel.Rau from comment #2)

Thanks for quick response. I hope I will have time to try it and set it up during next weekend. As soon as I know the result I will let you know.
Comment 4 Axel.Rau 2015-08-16 17:02:21 UTC
No feedback with 3 weeks.
Should be closed due to Feedback Timeout.
Comment 5 Walter Schwarzenfeld 2015-08-26 22:18:53 UTC
Replace USES pgsql:9.0+ only with pgsql. Compile databases/memcached without DOCS and it compiles fine.
Comment 6 Axel.Rau 2015-10-26 12:17:39 UTC
Created attachment 162459 [details]
patch against revision 394414
Comment 7 commit-hook freebsd_committer 2015-10-26 12:24:51 UTC
A commit references this bug:

Author: pi
Date: Mon Oct 26 12:24:09 UTC 2015
New revision: 400183
URL: https://svnweb.freebsd.org/changeset/ports/400183

Log:
  www/calendarserver: relax postgres version requirement

  PR:		201613
  Submitted by:	axel.rau@chaos1.de (maintainer)

Changes:
  head/www/calendarserver/Makefile
Comment 8 Kurt Jaeger freebsd_committer 2015-10-26 12:25:18 UTC
Committed, thanks.